import pygame
import time

FPS = 60

def run():
    pygame.display.init()
    print(pygame.display.Info())
    screen = pygame.display.set_mode((1920,1080),
                                     #flags = pygame.FULLSCREEN,
                                     #flags = pygame.OPENGL,
                                     #flags = pygame.OPENGL | pygame.FULLSCREEN,
                                     display=1,
                                     vsync=1)

    pygame.display.set_caption('PyGame test...') 
    start_time = time.monotonic()

    stop_flag = False
    color = 0
    fall = False
    #start_time = time.monotonic()
    while not stop_flag:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                stop_flag = True
        # if time.monotonic() > start_time + 6:
        #     stop_flag = True
        screen.fill((color, color, color))
        if fall:
            color -= 1
        else:
            color += 1
        if color == 0:
            fall = not fall 
        if color == 255:
            stop_flag = True
        pygame.display.flip()
        time.sleep(1/FPS)
    pygame.display.quit()

if __name__ == "__main__":
    run()
